classification
Title: Clean up test_capi
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: brian.curtin, ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-10-29 21:21 by zach.ware, last changed 2013-11-12 05:01 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
test_capi_cleanup.diff zach.ware, 2013-10-29 21:21 Clean up test_capi, default branch review
test_capi_cleanup-3.3.diff zach.ware, 2013-10-29 21:22 Patch for 3.3
test_capi_cleanup-3.3.v2.diff zach.ware, 2013-11-04 03:30 Real patch for 3.3 review
Messages (5)
msg201676 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-10-29 21:21
Here's a patch to clean up test_capi a little bit; it removes a __future__ import, converts from test_main to unittest.main, and makes use of subtests to run each _testcapi function.

I'll post a separate patch for 3.3; there's just enough difference between branches to make a single patch impossible and merging slightly hairy.
msg201990 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-11-03 03:32
If there are no objections, I'd like to commit this one soon.
msg202068 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2013-11-03 23:52
Your patch for 3.3 won't fly: subTest is new for 3.4.
msg202079 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-11-04 03:30
Well, this is embarrassing.  I'm so used to there not being much difference between 3.3 and 3.4; I didn't even think about subTest being new, and obviously I didn't test it as I should have.

Here's a new patch for 3.3 (tested this time!) that just removes the subTest usage of the old patch, leaving all of the _testcapi tests in a single test method.  It's still an improvement over the old situation, but not as good as it is in 3.4.
msg202671 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-12 05:00
New changeset 5198e8f325f5 by Zachary Ware in branch '3.3':
Issue #19440: Clean up test_capi
http://hg.python.org/cpython/rev/5198e8f325f5

New changeset 26108b2761aa by Zachary Ware in branch 'default':
Issue #19440: Clean up test_capi
http://hg.python.org/cpython/rev/26108b2761aa
History
Date User Action Args
2013-11-12 05:01:50zach.waresetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-11-12 05:00:06python-devsetnosy: + python-dev
messages: + msg202671
2013-11-04 03:30:58zach.waresetfiles: + test_capi_cleanup-3.3.v2.diff

messages: + msg202079
2013-11-03 23:52:09brian.curtinsetmessages: + msg202068
2013-11-03 03:33:42zach.waresetassignee: zach.ware
2013-11-03 03:32:11zach.waresetnosy: + brian.curtin

messages: + msg201990
stage: patch review
2013-10-29 21:22:12zach.waresetfiles: + test_capi_cleanup-3.3.diff
2013-10-29 21:21:52zach.warecreate